Bug 61211 - [patch] [maintainer]; port net/gtk-gnutella: gtk1 version has a segfault.
Summary: [patch] [maintainer]; port net/gtk-gnutella: gtk1 version has a segfault.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-11 18:50 UTC by Clayton Rollins
Modified: 2004-01-14 04:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clayton Rollins 2004-01-11 18:50:12 UTC
The GTK1 build of the 0.93.2 is broken for FreeBSD, with a possible
segfault.

A new code freeze policy has been put in place by the dev. team, to
give more time to test and address these bugs. So, a release won't
happen until january 18.

In the meantime, I have supplied a patch to add an ignore line to the 
Makefile, which causes GTK1 builds to fail properly. (This should at
least reduce the woes of people portupgrading in the meantime.)

For those that can't wait, or those who want to help test before this
release, cvs snapshots are available here:
http://gtk-gnutella.sourceforge.net/index.php?page=devel#devel-snapshots
(Compile by using the Makefile to find your preferred arguments to 
Configure, run Configure with those options, then make && make 
install, as usual.)

Personal apologies to the commiters for causing extra work. :(

Regards,
Clayton

Fix: 

For the port; applying: http://216.19.22.118/gtk-g.ignore.udiff will
fix the situation temporarily.

For the software, cvs snapshots are available and can be compiled
relatively easy. (see above.)
How-To-Repeat: I believe the segfault is caused when issuing a new search, if I
remember correctly.
Comment 1 Pete Fritchman freebsd_committer 2004-01-13 03:58:26 UTC
State Changed
From-To: open->feedback

I can't fetch the patch; could you include it inline?  Also, I think we 
should set BROKEN, not IGNORE, if the port is known to be broken.
Comment 2 Pete Fritchman freebsd_committer 2004-01-14 04:33:45 UTC
State Changed
From-To: feedback->closed

Committed, thanks.